netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
afp_zeroconf.c File Reference

Zeroconf facade, that abstracts access to a particular Zeroconf implementation. More...

`#include "afp_zeroconf.h"`
`#include "afp_mdns.h"`

## Functions
void | zeroconf_register (const AFPObj *configs)
void | zeroconf_deregister (void)

## Detailed Description

Zeroconf facade, that abstracts access to a particular Zeroconf implementation.

Author
  Daniel S. Haischt me@da.nosp@m.niel.nosp@m..stef.nosp@m.an.h.nosp@m.aisch.nosp@m.t.na.nosp@m.me

See also
  http://www.dns-sd.org/

## Function Documentation

## ◆ zeroconf_deregister()

void zeroconf_deregister | ( | void |  | ) |

de-registers the ntpd service with a particular Zeroconf implemenation.

## ◆ zeroconf_register()

void zeroconf_register | ( | const AFPObj * | obj | ) |

registers service with a particular Zeroconf implemenation.